Package owl.ltl.rewriter

## Class DeduplicationRewriter

- java.lang.Object
- - owl.ltl.rewriter.DeduplicationRewriter

- All Implemented Interfaces:
    `Function<Formula,​Formula>`, `Visitor<Formula>`

      public final class DeduplicationRewriter
      extends Object
      implements Visitor<Formula>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Formula` | `deduplicate​(Formula formula)` |
    `Formula` | `visit​(Biconditional biconditional)` |
    `Formula` | `visit​(BooleanConstant booleanConstant)` |
    `Formula` | `visit​(Conjunction conjunction)` |
    `Formula` | `visit​(Disjunction disjunction)` |
    `Formula` | `visit​(FOperator fOperator)` |
    `Formula` | `visit​(GOperator gOperator)` |
    `Formula` | `visit​(Literal literal)` |
    `Formula` | `visit​(MOperator mOperator)` |
    `Formula` | `visit​(ROperator rOperator)` |
    `Formula` | `visit​(UOperator uOperator)` |
    `Formula` | `visit​(WOperator wOperator)` |
    `Formula` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from interface owl.ltl.visitors.Visitor

      `apply, visit`

- - ### Method Detail

    - #### deduplicate

          public static Formula deduplicate​(Formula formula)

    - #### visit

          public Formula visit​(Biconditional biconditional)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Literal literal)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`